using Microsoft.Xna.Framework;

namespace Kav
{
    public struct PointLight
    {
        public static double ATTENUATION_EPSILON = 0.1;

        public Vector3 Position { get; }
        public Color Color { get; }
        public float Radius { get; }

        public BoundingSphere BoundingSphere { get; }

        public PointLight(Vector3 position, Color color, float radius)
        {
            Position = position;
            Color = color;
            Radius = radius;

            BoundingSphere = new BoundingSphere(position, Radius);
        }
    }
}
